Preferences
Set API key notification channels and reminder days. Automation events remain independent of channel opt-out.
Set API key notification channels and reminder days. Automation events remain independent of channel opt-out. The request is scoped to preferences accessible to the authenticated caller.
PUT
/
api
/
v1
/
preferences
/
api-key-notifications
Set API key notification channels and reminder days. Automation events remain independent of channel opt-out.
curl --request PUT \
--url https://api.revoengine.com/api/v1/preferences/api-key-notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inAppEnabled": true,
"emailEnabled": true,
"firstReminderDays": 7
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inAppEnabled: true, emailEnabled: true, firstReminderDays: 7})
};
fetch('https://api.revoengine.com/api/v1/preferences/api-key-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/api-key-notifications"
payload = {
"inAppEnabled": True,
"emailEnabled": True,
"firstReminderDays": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"inAppEnabled": true,
"emailEnabled": true,
"firstReminderDays": 7,
"customReminderDays": null
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
First reminder in days before expiry. A second reminder is always 24 hours before expiry, followed by an expired notice.
Required range:
2 <= x <= 365Optional additional automation event in days before expiry; does not send another notification.
Required range:
1 <= x <= 365Response
200 - application/json
First reminder in days before expiry. A second reminder is always 24 hours before expiry, followed by an expired notice.
Required range:
2 <= x <= 365Optional additional automation event in days before expiry; does not send another notification.
Required range:
1 <= x <= 365Last modified on October 8, 2026
⌘I
Set API key notification channels and reminder days. Automation events remain independent of channel opt-out.
curl --request PUT \
--url https://api.revoengine.com/api/v1/preferences/api-key-notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inAppEnabled": true,
"emailEnabled": true,
"firstReminderDays": 7
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inAppEnabled: true, emailEnabled: true, firstReminderDays: 7})
};
fetch('https://api.revoengine.com/api/v1/preferences/api-key-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/api-key-notifications"
payload = {
"inAppEnabled": True,
"emailEnabled": True,
"firstReminderDays": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"inAppEnabled": true,
"emailEnabled": true,
"firstReminderDays": 7,
"customReminderDays": null
}
